=== examples/isometric_game/Makefile ===
# Simple install.
# You may as well symlink to /usr/local/share/sandbox,
# for system-wide install.
install:
	rm -f $(HOME)/.local/share/sandbox
	ln -s $(shell pwd) $(HOME)/.local/share/sandbox
