=== src/components/icons/Makefile ===
castleicons.lrs: *.png
	lazres castleicons.lrs *.png
