=== debian/changelog ===
castle-game-engine (4.1.1-1) unstable; urgency=low

  * New upstream release
    - Drop all patches, applied upstream
    - Add fp-units-net to Build-depends
  * Add myself to uploaders
  * Reorganize d/rules

 -- Paul Gevers <elbrus@debian.org>  Sun, 08 Sep 2013 21:18:46 +0200

castle-game-engine (4.0.1-1) unstable; urgency=low

  * Packaged Castle Game Engine for Debian. (Closes: Bug#706408)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 27 Apr 2013 18:06:40 +0100
