=== debian/control ===
Source: castle-game-engine
Section: misc
Priority: optional
Maintainer: Abou Al Montacir <abou.almontacir@sfr.fr>
Uploaders: Paul Gevers <elbrus@debian.org>
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7),
 fp-compiler,
 fp-units-base,
 fp-units-fcl,
 fp-units-gfx,
 fp-units-gtk2,
 fp-units-multimedia,
 fp-units-net,
 fp-utils (>= 2.6.2),
 quilt
Vcs-Git: http://code.google.com/p/pascal-for-debian.castle-game-engine
Vcs-Browser: http://code.google.com/p/pascal-for-debian/source/browse/?repo=castle-game-engine
Homepage: http://castle-engine.sourceforge.net/engine.php

Package: fp-units-castle-game-engine
Architecture: amd64 i386
Depends:
 ${fpc-abi:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 castle-game-engine-doc,
 fpc,
 lazarus
Suggests:
 castle-game-engine-src
Description: Castle Game Engine - 3D game engine for FreePascal / Lazarus
 Castle Game Engine is a set of LGPL licenced libraries that are inteded to
 ease developing 3D games with FreePascal / Lazarus.
 .
 It provides an excellent support for the VRML / X3D 3D data format. Other 3D
 formats are also supported.
 .
 It features many advanced graphic effects and easy to use API on top of OpenGL.
 .
 This package contains the FPC units.

Package: castle-game-engine-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 castle-game-engine-src,
 fp-units-castle-game-engine
Description: Castle Game Engine - Developer's Documentation
 Castle Game Engine is a set of LGPL licenced libraries that are inteded to
 ease developing 3D games with FreePascal / Lazarus.
 .
 It provides an excellent support for the VRML / X3D 3D data format. Other 3D
 formats are also supported.
 .
 It features many advanced graphic effects and easy to use API on top of OpenGL.
 .
 This package contains documentation.

Package: castle-game-engine-src
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 castle-game-engine-doc,
 fpc,
 lazarus
Suggests:
 fp-units-castle-game-engine
Description: Castle Game Engine - Source code for Lazarus integration
 Castle Game Engine is a set of LGPL licenced libraries that are inteded to
 ease developing 3D games with FreePascal / Lazarus.
 .
 It provides an excellent support for the VRML / X3D 3D data format. Other 3D
 formats are also supported.
 .
 It features many advanced graphic effects and easy to use API on top of OpenGL.
 .
 This package contains source code for integration with Lazarus RAD IDE.
