## castle-game-engine 5.0.0

=== Makefile ===
--- 
+++ 
@@ -75,6 +75,8 @@
   examples/images_videos/image_compare \
   examples/images_videos/simple_video_editor \
   examples/fonts/test_font_break \
+  examples/fonts/font_from_texture \
+  examples/fonts/texturefont2pascal \
   examples/window/window_events \
   examples/window/window_menu \
   examples/window/window_gtk_mix \
@@ -112,7 +114,9 @@
   examples/3d_sound_game/lets_take_a_walk \
   examples/3d_sound_game/data/levels/base/devel/process_base_b \
   examples/resource_animations/resource_animations \
-  examples/fps_game/fps_game
+  examples/fps_game/fps_game \
+  examples/2d/controls_demo \
+  examples/android/android_demo/androiddemo_standalone
 
 EXAMPLES_LAZARUS_BASE_NAMES := \
   examples/audio/test_al_source_allocator \
@@ -120,14 +124,16 @@
   examples/lazarus/model_3d_with_2d_controls/model_3d_with_2d_controls \
   examples/lazarus/load_model_and_camera_manually/load_model_and_camera_manually \
   examples/lazarus/two_controls/two_controls \
-  tests/test_castle_game_engine
+  tests/test_castle_game_engine \
+  src/library/castleengine \
+  examples/library/lcl_dynlib_tester/cge_dynlib_tester
 
 EXAMPLES_UNIX_EXECUTABLES := $(EXAMPLES_BASE_NAMES) \
   $(EXAMPLES_LAZARUS_BASE_NAMES)
 
 EXAMPLES_WINDOWS_EXECUTABLES := $(addsuffix .exe,$(EXAMPLES_BASE_NAMES)) \
   $(addsuffix .exe,$(EXAMPLES_LAZARUS_BASE_NAMES)) \
-  examples/fonts/font2pascal.exe
+  examples/fonts/outlinefont2pascal.exe
 
 EXAMPLES_MACOSX_APPS := $(addsuffix .app,$(EXAMPLES_BASE_NAMES)) \
   $(addsuffix .app,$(EXAMPLES_LAZARUS_BASE_NAMES))
@@ -163,21 +169,26 @@
 	find . -type f '(' -iname '*.ow'  -or -iname '*.ppw' -or -iname '*.aw' -or \
 	                   -iname '*.o'   -or -iname '*.ppu' -or -iname '*.a' -or \
 			   -iname '*.or'  -or \
+			   -iname '*.rsj' -or \
 			   -iname '*.compiled' -or \
 			   -iname '*.libimp*.a' -or \
-	                   -iname '*.dcu' -or -iname '*.dpu' ')' \
+	                   -iname '*.dcu' -or -iname '*.dpu' -or \
+			   -iname 'castleengine.dll' -or -iname 'libcastleengine.so' ')' \
 	     -print \
 	     | xargs rm -f
 	find . -type d -name lib -exec rm -Rf '{}' ';' -prune
 	rm -Rf packages/castle_base.pas \
 	  packages/castle_window.pas \
 	  packages/castle_components.pas \
+	  packages/castle_android_utilities.pas \
 	  packages/alternative_castle_window_based_on_lcl.pas \
 	  tests/test_castle_game_engine tests/test_castle_game_engine.exe
 # fpmake binary, and units/ produced by fpmake compilation
 	rm -Rf fpmake fpmake.exe units/
 # lazarus produces lib/ subdirectories during compilation
 	find examples/ -type d -name lib -prune -exec rm -Rf '{}' ';'
+	$(MAKE) clean -C examples/android/android_demo/android/
+	$(MAKE) clean -C examples/android/drawing_toy/android/
 
 cleanmore: clean
 	find . -type f '(' -iname '*~' -or \
