=== debian/changelog ===
castle-game-engine (5.0.0-3) unstable; urgency=medium

  * pasdoc finally entered Debian, so now build the documentation
  * Add upstream source for logo (from svn) and use it to build the png
  * Update d/TODO
  * Add d/gbp.conf to filter out upstream documentation during import

 -- Paul Gevers <elbrus@debian.org>  Sat, 30 Aug 2014 13:56:39 +0200

castle-game-engine (5.0.0-2) unstable; urgency=medium

  [ Abou Al Montacir ]
  * Force compilation of units in release mode in order to avoid FPC
    trying to recompile them during compilation of third party code.
   (Closes: #750486)

  [ Paul Gevers ]
  * Move maintainership to Pascal package team
  * Build depend on libfreetype6-dev, fixes FTBFS in Ubuntu (Closes: #748516)

 -- Paul Gevers <elbrus@debian.org>  Thu, 05 Jun 2014 21:26:23 +0200

castle-game-engine (5.0.0-1) unstable; urgency=medium

  [ Abou Al Montacir ]
  * New upstream release. (Closes: #747128)
  * Remove unused include file to allow building on systems where quilt is not
    installed

  [ Paul Gevers ]
  * Fix typo in package descriptions (Closes: #732760)
  * Remove nearly obsolete bzip compression for binary packages
    (See https://lists.debian.org/debian-devel/2014/01/msg00542.html)
  * Bump standards to 3.9.5 (no changes)
  * Converted copyright file to machine readable format and add notices for new
    files
  * Build Pascal source style font formats (using dejavu fonts package)
  * Strip piwik from documentation (thanks Lintian)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 13 Dec 2013 21:29:44 +0100
