=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # debian/rules for Castle Game Engine
 
 DEB_PACKAGE_NAME=castle-game-engine
-DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
 
@@ -28,6 +27,8 @@
 # Get version information from changelog file
 DEB_VERSION:=$(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ')
 DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
+# Used in dh-exec enhanced files
+export CGE_VERSION=${DEB_UPSTREAM_VERSION}
 DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
 DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
 ifndef PACKAGESUFFIX
@@ -62,18 +63,14 @@
 # Set default compilation options
 BUILDOPTS=
 
-# Configure patch system
-include /usr/share/quilt/quilt.make
-
 #export DH_VERBOSE=1
 
 ###################
 # Clean
 #
 
-clean: patch configure clean-patched unpatch
-	# Remove auto-generated make files.
-	find -name Makefile.fpc -execdir 'sh' '-c' '${RM} $$(basename {} .fpc)' ';'
+clean: configure clean-patched
+	${MAKE} cleanall
 	# dh_clean gets a list of files from the debian/clean file
 	dh_clean
 clean-patched:
@@ -86,7 +83,7 @@
 # Arch packages
 #
 
-configure: patch configure-stamp
+configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Remove auto-generated make files.
@@ -103,6 +100,13 @@
 build-arch-stamp:
 	@echo "--- Building"
 	dh_testdir
+	# Building Pascal style font file first
+	examples/fonts/texturefont2pascal_compile.sh
+	cd src/fonts ; PATH=${PATH}:../../examples/fonts ./mk_fonts.sh
+	# Unfortunately texturefont2pascal_compile.sh creates *.o and *.ppu
+	# files in the src tree, cleaning them now.
+	find . -name "*.o" -delete -o -name "*.ppu" -delete
+
 	${MAKE} all
 	touch build-arch-stamp
 
@@ -144,12 +148,14 @@
 # Documentation
 #
 
-build-doc: patch build-doc-stamp
+build-doc: build-doc-stamp
 build-doc-stamp:
 	@echo "--- Building Documentation"
 	dh_testdir
-	# Need to active the next line when pasdoc is packaged for Debian
-#	${MAKE} -C doc/pasdoc ${CONVERTER} ${BUILDOPTS}
+	${MAKE} -C doc/pasdoc ${DOCTYPE}
+	# The logo is stripped by the cleanall target. Building from source
+	rsvg-convert --width 256 --height 256 debian/castle_game_engine_icon.svg \
+		--output doc/pasdoc/html/castle_game_engine_icon.png
 	touch build-doc-stamp
 
 install-doc: build-doc install-doc-stamp
@@ -197,6 +203,7 @@
 	dh_installdocs -i -X.in
 	dh_installchangelogs -i
 	dh_install -i --list-missing
+	dh_link -i
 	dh_lintian
 
 ifeq (${DEB_BUILD},0)
@@ -213,7 +220,7 @@
 	dh_fixperms
 	dh_installdebconf -i
 	dh_installdeb -i
-	dh_gencontrol -i
+	dh_gencontrol -i -- -Vdejavu:version=`dpkg-query --show fonts-dejavu | awk '{print $$2}'`
 	dh_md5sums -i
 	dh_builddeb -i $(DEB_DH_BUILDDEB_ARGS)
 
@@ -221,7 +228,7 @@
 	@echo "--- Building: arch packages"
 	dh_testdir
 	dh_testroot
-	dh_link
+	dh_link -a
 	dh_installdocs -a -X.in
 	dh_installchangelogs -a
 	dh_installexamples -a
@@ -236,7 +243,7 @@
 	dh_installdebconf -a
 	dh_installdeb -a
 	dh_shlibdeps -s
-	dh_gencontrol -s
+	dh_gencontrol -s -- -Vdejavu:version=`dpkg-query --show fonts-dejavu | awk '{print $$2}'`
 	dh_md5sums -s
 	dh_builddeb -s $(DEB_DH_BUILDDEB_ARGS)
