## castle-game-engine 5.1.1

=== Makefile ===
--- 
+++ 
@@ -116,7 +116,8 @@
   examples/resource_animations/resource_animations \
   examples/fps_game/fps_game \
   examples/2d/controls_demo \
-  examples/android/android_demo/androiddemo_standalone
+  examples/android/android_demo/androiddemo_standalone \
+  tools/castle-engine
 
 EXAMPLES_LAZARUS_BASE_NAMES := \
   examples/audio/test_al_source_allocator \
@@ -132,8 +133,7 @@
   $(EXAMPLES_LAZARUS_BASE_NAMES)
 
 EXAMPLES_WINDOWS_EXECUTABLES := $(addsuffix .exe,$(EXAMPLES_BASE_NAMES)) \
-  $(addsuffix .exe,$(EXAMPLES_LAZARUS_BASE_NAMES)) \
-  examples/fonts/outlinefont2pascal.exe
+  $(addsuffix .exe,$(EXAMPLES_LAZARUS_BASE_NAMES))
 
 EXAMPLES_MACOSX_APPS := $(addsuffix .app,$(EXAMPLES_BASE_NAMES)) \
   $(addsuffix .app,$(EXAMPLES_LAZARUS_BASE_NAMES))
@@ -172,6 +172,7 @@
 			   -iname '*.rsj' -or \
 			   -iname '*.compiled' -or \
 			   -iname '*.libimp*.a' -or \
+			   -iname '*.apk' -or \
 	                   -iname '*.dcu' -or -iname '*.dpu' -or \
 			   -iname 'castleengine.dll' -or -iname 'libcastleengine.so' ')' \
 	     -print \
@@ -187,8 +188,8 @@
 	rm -Rf fpmake fpmake.exe units/
 # lazarus produces lib/ subdirectories during compilation
 	find examples/ -type d -name lib -prune -exec rm -Rf '{}' ';'
-	$(MAKE) clean -C examples/android/android_demo/android/
-	$(MAKE) clean -C examples/android/drawing_toy/android/
+# clean every project with CastleEngineManifest.xml
+	find . -iname CastleEngineManifest.xml -execdir castle-engine clean ';'
 
 cleanmore: clean
 	find . -type f '(' -iname '*~' -or \
