=== debian/changelog ===
castle-game-engine (5.1.1-2) unstable; urgency=medium

  * Upload to unstable
  * Prevent timestamps in documentation to allow builds to be reproducible

 -- Paul Gevers <elbrus@debian.org>  Sat, 16 May 2015 08:16:57 +0200

castle-game-engine (5.1.1-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete patch
  * Fix typo in test suite (failed on i386) by upstream commit 14349.
    Yah for running test suites.

 -- Paul Gevers <elbrus@debian.org>  Sat, 10 Jan 2015 19:30:14 +0100

castle-game-engine (5.1.0-1) experimental; urgency=medium

  * New upstream release
  * Update patches
  * Expend d/clean to avoid using embedded font files
  * Drop more font pascal files in d/gbp.conf
  * Build-Depends-Indep on inkscape iso librsvg2-bin to build icon and
    drop d/rules logic as upstream now provides the logic
  * Bump Standards-Version to 3.9.6 (no changes)
  * Remove d/castle_game_engine_icon.svg, now included upstream
  * Run test suite at build time (and add Build-Depends for it)
    - Add upstream patch to remove irrelevant test case that fails to build
  * Fix d/copyright (thanks Lintian)

 -- Paul Gevers <elbrus@debian.org>  Mon, 29 Dec 2014 09:09:44 +0100
