=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9),
  dh-exec,
@@ -18,9 +18,15 @@
  fp-units-multimedia,
  fp-units-net,
  fp-utils (>= 2.6.2),
- libfreetype6-dev
+ libatk1.0-dev,
+ libcairo2-dev,
+ libfreetype6-dev,
+ libgdk-pixbuf2.0-dev,
+ libgtk2.0-dev,
+ libgtkglext1-dev,
+ libpango1.0-dev,
 Build-Depends-Indep:
- librsvg2-bin,
+ inkscape,
  pasdoc,
 Vcs-Git: git://anonscm.debian.org/pkg-pascal/castle-game-engine.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/castle-game-engine.git
