=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,7 @@
 LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
 SRC_DIR=${INSTALL_DIR}/usr/src/${DEB_PACKAGE_NAME}-${DEB_UPSTREAM_MAIN_VERSION}
 UNITS_DIR=${INSTALL_DIR}/usr/lib/${DEB_HOST_MULTIARCH}/fp-units-${FPCVER}/${DEB_PACKAGE_NAME}-${DEB_UPSTREAM_MAIN_VERSION}
+TMP_DIR=${INSTALL_DIR}/tmp
 # Get utils
 ifndef MKDIR
 MKDIR=mkdir -p
@@ -100,14 +101,25 @@
 build-arch-stamp:
 	@echo "--- Building"
 	dh_testdir
-	# Building Pascal style font file first
-	examples/fonts/texturefont2pascal_compile.sh
-	cd src/fonts ; PATH=${PATH}:../../examples/fonts ./mk_fonts.sh
-	# Unfortunately texturefont2pascal_compile.sh creates *.o and *.ppu
-	# files in the src tree, cleaning them now.
-	find . -name "*.o" -delete -o -name "*.ppu" -delete
+	# Building Pascal style font file first while making sure that
+	# no unit or object files polute the source tree
+	${MKDIR} ${TMP_DIR}
+	${FPC} -FE${TMP_DIR}  @castle-fpc.cfg examples/fonts/texturefont2pascal.lpr
+	cd src/fonts ; PATH=${PATH}:${TMP_DIR} ./mk_fonts.sh
 
 	${MAKE} all
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Code to run the package test suite.
+	# Command basically copied from tests/compile_console.sh while
+	# making sure that no unit or object files polute the source tree
+	${FPC}  -gh -dDEBUG -dTEXT_RUNNER -dNO_WINDOW_SYSTEM "$@" \
+		-Fuexamples/shadow_fields/ -FE${TMP_DIR} \
+		@castle-fpc.cfg tests/test_castle_game_engine.lpr
+	# cd is needed to find the data files
+	cd tests ; ${TMP_DIR}/test_castle_game_engine -a
+endif
+
 	touch build-arch-stamp
 
 install-arch: build-arch install-arch-stamp
@@ -135,7 +147,7 @@
 		${MKDIR} "$${pkgDir}" ; \
 		sed -e 's@\(\W*\)<CompilerOptions>.*@\1<AutoUpdate Value="Manually"/>\n&@' \
 		    -e "s@\.\./src/@$$(relpath ${SRC_DIR} $${pkgDir})/@g" \
-			-e "s@\(\W*\)<UnitOutputDirectory .*@<UnitOutputDirectory Value=\"$$(relpath ${UNITS_DIR} $${pkgDir})\"/>@" \
+		    -e "s@\(\W*\)<UnitOutputDirectory .*@<UnitOutputDirectory Value=\"$$(relpath ${UNITS_DIR} $${pkgDir})\"/>@" \
 		    "$${package}" > "${LIB_DIR}/$${package}" ; \
 	done
 	find ${INSTALL_DIR} -empty -delete
@@ -153,9 +165,6 @@
 	@echo "--- Building Documentation"
 	dh_testdir
 	${MAKE} -C doc/pasdoc ${DOCTYPE}
-	# The logo is stripped by the cleanall target. Building from source
-	rsvg-convert --width 256 --height 256 debian/castle_game_engine_icon.svg \
-		--output doc/pasdoc/html/castle_game_engine_icon.png
 	touch build-doc-stamp
 
 install-doc: build-doc install-doc-stamp
@@ -202,7 +211,7 @@
 	dh_testroot
 	dh_installdocs -i -X.in
 	dh_installchangelogs -i
-	dh_install -i --list-missing
+	dh_install -i -Xtmp/tmp/ --list-missing
 	dh_link -i
 	dh_lintian
 
@@ -232,7 +241,7 @@
 	dh_installdocs -a -X.in
 	dh_installchangelogs -a
 	dh_installexamples -a
-	dh_install -a --list-missing
+	dh_install -a -Xtmp/tmp/ --list-missing
 	dh_lintian
 	dh_installmenu
 	fpc-depends
